# 32/64bit spec
#
Name:		miro
Version:	6.0
Release:	%mkrel 7
Summary:	Miro Player
Summary(de):	Miro Internet TV
Group:		Video
License:	GPLv2+
URL:		http://www.getmiro.com/
Source0:	ftp://ftp.osuosl.org/pub/pculture.org/miro/src/%name-%version.tar.xz
Source1:	miro.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:   	%name < %version
#--------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}webkitgtk1.0-devel
BuildRequires: %{_lib}x11-devel
#----check these if really required----
BuildRequires:	%{_lib}gsf-1_114-devel
BuildRequires:	%{_lib}xine-devel
BuildRequires:	%{_lib}xv-devel
BuildRequires:	%{_lib}torrent-rasterbar-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-pyrex
BuildRequires:	openssl-devel
BuildRequires:	xcb-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-libtorrent-rasterbar
#---------------------------------------------
Requires:	python-libtorrent-rasterbar
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf
Requires:	dbus-python
Requires:	python-pyrex
Requires:	python-webkitgtk
Requires:	webkit1.0
Requires:	webkit
Requires:	python >= 2.7
Requires:	python-curl
Requires:	glib2.0-common
Requires:	gtk+2.0
Requires:	mutagen
Requires:	gdb
Requires:	glib-networking
Requires:	ffmpeg
Requires:	%{_lib}glib2.0_0
Requires:	%{_lib}gdk_pixbuf2.0_0
Requires:	%{_lib}gail18
Requires:	%{_lib}gtk+-x11-2.0_0
Requires:	%{_lib}gtk+2.0_0
Requires:	gstreamer0.10-x264
Requires:	gstreamer0.10-xvid
Requires:	gstreamer0.10-vp8
Requires:	gstreamer0.10-mpeg
Requires:	gstreamer0.10-mpeg2enc
Requires:	gstreamer0.10-ffmpeg
Requires:	gstreamer0.10-farstream
Requires:	gstreamer0.10-python
Requires:	gstreamer0.10-plugins-base

%description
Internet TV player with integrated RSS and BitTorrent functionality.

%description -l de
Programm zum Ansehen von Internet TV mit integrierter RSS- und BitTorrent-Funktionalität.

%prep
%setup -q -n %name-%version

%build
cd linux && CFLAGS="%{optflags}" LDFLAGS="%?ldflags" %{__python} setup.py build

%install
rm -rf %{buildroot}
cd linux && %{__python} setup.py install -O1 --skip-build --root %{buildroot}
cd ..
%find_lang miro

perl -pi -e 's,miro-72x72.png,%{name},g' %{buildroot}%{_datadir}/applications/*

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/miro.desktop

gunzip %buildroot%{_mandir}/man1/*.gz

%ifarch x86_64
rm -rf %{buildroot}%{_bindir}/codegen.Linux-i686
%else
rm -rf %{buildroot}%{_bindir}/codegen.Linux-x86_64
%endif



%clean
rm -rf %{buildroot}

%post
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor
rm -rf /var/cache/apt/*.bin

%postun
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor

%files -f miro.lang
%defattr(-,root,root,-)
%doc README CREDITS
%attr(755,root,root) %_bindir/*
%{_datadir}/miro
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml
%{py_platsitedir}/miro*


%changelog
* Tue Nov 18 2014 bb <bb> 6.0-7pclos2014
- rebuild ffmpeg 2.4.3

* Sat Jan 25 2014 bb <bb> 6.0-6pclos2014
- change dep to gstreamer0.10-farstream

* Wed Nov 20 2013 bb <bb< 6.0-5pclos2013
- rebuild against old xulrunner
- new ffmpeg 2.1

